<?php
/**
Plugin Name: Insiders Exclusive Slider
Description: Creates a Gutenberg block to generate a slider with slick.js
Version: 3.0.2
Author: Topher
Author URI: http://topher1kenobe.com
Text Domain: ie_slider
Domain Path: /languages/
License: GPLv3+
License URI: https://www.gnu.org/licenses/gpl-3.0.en.html
 */

require 'vendor/autoload.php';

$MyUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
    'https://kernl.us/api/v1/updates/66230351b9ecb871e5f67638/',
    __FILE__,
    'ie-slider'
);

/**
 * Prepare for internationalization
 *
 * @since IE_Slider 1.0
 */
function ie_slider_load_text_domain() {
	load_plugin_textdomain( 'ie_slider', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'ie_slider_load_text_domain' );

/**
 * Instantiate instance of IE_Slider
 *
 * @since IE_Slider 1.0
 */
if ( file_exists( plugin_dir_path( __FILE__ ) . 'classes/class-ie-slider.php' ) ) {
	include_once plugin_dir_path( __FILE__ ) . 'classes/class-ie-slider.php';
	add_action( 'init', array( 'IE_Slider', 'instance' ) );
}

// why can't I have this function in my class?
function ie_slideshow_settings( $settings_pages ) {
	$settings_pages[] = array(
		'menu_title'      => __( 'IE Slider Settings', 'ie-slider' ),
		'id'              => 'ie-slider-settings',
		'position'        => 25,
		'style'           => 'no-boxes',
		'columns'         => 1,
		'customizer'      => true,
		'customizer_only' => true,
		'icon_url'        => 'dashicons-format-gallery',
	);

	return $settings_pages;
}
add_filter( 'mb_settings_pages', 'ie_slideshow_settings' );
